//
//  TSThemeSetVM.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/3.
//

class TSThemeSetVM {
    var audioPlayer: TSAudioPlayer?
    
    func playRingtone(ringtone:String?) {
        if let ringtone = ringtone {
            self.audioPlayer?.stop()
            TSCommonTool.downloadAndCacheFile(from: ringtone) { [self] path, error in
                if let path = path {
                    //播放
                    if let url = URL(string: path) {
                        self.audioPlayer = TSAudioPlayer(url: url)
                        self.audioPlayer?.setLoop(true)
                        self.audioPlayer?.setVolume(1.0)
                        dePrint(self.audioPlayer?.duration)
                    }
                    
                }else{
                    //暂停
                    self.audioPlayer?.stop()
                }
            }
        }
    }

    func changeAudioState(isPlay:Bool) {
        if isPlay {
            self.audioPlayer?.play()
        }else{
            self.audioPlayer?.pause()
        }
    }
    
}
